@font-face {
    font-family: "Ubuntu";
    font-weight: 300;
    src: url("Ubuntu-Light.ttf");
}

@font-face {
    font-family: "Ubuntu";
    font-weight: 400;
    src: url("Ubuntu-Regular.ttf");
}

@font-face {
    font-family: "Ubuntu";
    font-weight: 600;
    src: url("Ubuntu-Medium.ttf");
}

@font-face {
    font-family: "Ubuntu";
    font-weight: 700;
    src: url("Ubuntu-Bold.ttf");
}

html {
    --bleu-title: #1e3799;
    --bleu: #2980b9;
    --bleu-fonce: #246a99;
    --bleu-fonce-fonce: #16405c;
    --rouge: #c0392b;
    --rouge-fonce: #a2352a;
    --jaune: #f39c12;
    --jaune-fonce: #925e0b;
    --vert: #27ae60;
    --blanc: #ecf0f1;
    --gris-clair: #ccc;
    --gris-clair-fonce: #8f8f8f;
    --gris: #636e72;
    --gris-sombre: #3b4244;
}

body {
    margin: 0;
    background-color: var(--blanc);
    font-family: "Ubuntu", sans-serif;
    position: relative;
    min-height: calc(100vh - 8rem);
}

footer {
    margin-top: 2rem;
    width: 100%;
    bottom: -8rem;
    background-color: white;
    text-align: center;
    box-shadow: 0 0 0.5em rgba(0, 0, 0, 0.3);
    position: absolute;
}

footer p {
    margin: 0;
    padding: 2rem;
    font-size: 1rem;
}

.container {
    margin-top: 2rem;
    /*display: flex;*/
}

table {
    border-collapse: collapse;
    background-color: white;
    box-shadow: 0 0 0.5em rgba(0, 0, 0, 0.3);
    margin: 0 auto;
    max-width: 95%;
}

table thead tr th {
    color: var(--bleu-title);
    text-transform: uppercase;
    font-size: 1.2em;
}

table tbody tr:nth-child(even) {
    background-color: var(--blanc);
}

.thead th {
    color: var(--bleu-title);
    text-transform: uppercase;
    font-size: 1.2em;
}

.th-min {
    min-width: 30rem;
}

.tr-blanc {
    background-color: var(--blanc);
    text-align: left;
    /*cursor: pointer;*/
}

.tr-rechercher {
    text-align: left;
}

.form-input-rechercher {
    border-radius: 0;
    border: 2px solid var(--gris-clair);
    padding: 0.2em 0.5em;
    font-family: "Ubuntu", sans-serif;
    font-size: 1rem;
    width: 100%;
    box-sizing: border-box;
}

.form-input-rechercher:hover {
    border-color: var(--gris);
}

.rechercher {
    border-radius: 0;
    border: 2px solid var(--gris-clair);
    padding: 0.2em 0.5em;
    font-family: "Ubuntu", sans-serif;
    font-size: 1rem;
    width: 78%;
}

.rechercher:hover {
    border-color: var(--gris);
}

.rechercher:focus {
    outline: 1px solid var(--gris);
}

.rechercher-bouton {
    background-color: var(--bleu);
    border: none;
    height: 1.8rem;
    width: 20%;
    color: white;
    font-size: 1rem;
    text-transform: uppercase;
    transition: background-color 300ms;
}

.rechercher-bouton:hover {
    cursor: pointer;
    background-color: var(--bleu-fonce-fonce);
}

table th,
table td {
    padding: 0.5em 1em;
}

.col-edit {
    padding-left: 1.5em;
    padding-right: 0;
}

.col-view {
    padding-left: 1.5em;
    padding-right: 0;
    min-width: 7rem;
}

.col-mdp {
    text-align: center;
}

table tbody td {
    color: var(--gris);
}

table tr {
    border-bottom: 0.1em solid var(--blanc);
}

.droite {
    float: right;
}

header nav {
    width: 100%;
    background-color: white;
    box-shadow: 0 0 0.5em rgba(0, 0, 0, 0.3);
    display: flex;
}

header nav img {
    height: 3.8rem;
}

header nav h2 {
    display: flex;
    margin: 0;
    font-weight: 400;
    font-size: 3rem;
}

header nav h2 a {
    text-decoration: none;
    color: black;
    color: var(--bleu-title);
    padding-left: 0.2em;
}

header nav ul {
    list-style-type: none;
    padding-left: 1em;
    width: 100%;
}

header nav ul li {
    display: inline-block;
    padding: 0 0.5em;
}

header nav ul li a {
    text-decoration: none;
    color: var(--gris);
    font-size: 1.5rem;
    transition: color 300ms;
}

header nav ul li a:hover {
    color: var(--gris-sombre);
}

.rouge-erreur {
    color: var(--rouge);
}

.titre-page {
    padding-top: 2rem;
    text-align: center;
}

.accueil {
    width: 95%;
    margin: 0 2.5%;
    box-shadow: 0 0 0.5em rgba(0, 0, 0, 0.3);
}

.colonnes {
    display: flex;
    background-color: white;
    justify-content: space-around;
}

.colonne {
    flex-direction: row;
    padding: 1em;
    text-align: center;
}

.col-1 {
    width: 100%;
}

.col-2 {
    width: 50%;
}

.col-34 {
    width: 70%;
}

.col-3 {
    width: 20%;
}

.col-4 {
    width: 20%;
}

.colonne h1 {
    font-size: 2rem;
    color: var(--bleu-title);
}

.colonne h2 {
    font-size: 1.75rem;
}

.colonne h3 {
    font-size: 1.25rem;
    font-weight: 400;
}

.colonne p {
    font-size: 1rem;
}

.colonne h1,
.colonne h2 {
    margin: 0;
}

.colonne a {
    text-decoration: none;
    font-size: 1rem;
    color: white;
    background-color: var(--gris);
    margin-top: 2em;
    padding: 0.75em 1.5em;
    display: block;
    transition: 300ms;
}

.colonne a.bleu {
    background-color: var(--bleu-fonce);
}

.colonne a:hover {
    background-color: var(--gris-sombre);
}

.colonne a.bleu:hover {
    background-color: var(--bleu-fonce-fonce);
}

.bouton {
    box-sizing: border-box;
    background-color: transparent;
    border: 2px solid black;
    padding: 0.2em 0.5em;
    text-decoration: none;
    color: var(--gris);
    transition: background 300ms, color 300ms;
    text-transform: uppercase;
    font-size: 1rem;
}

.bouton:hover {
    background-color: black;
    color: white;
    cursor: pointer;
}

.bouton-disabled:hover {
    cursor: not-allowed;
}

.bouton-bleu {
    border-color: var(--bleu);
}

.bouton-bleu:hover {
    background-color: var(--bleu);
}

.bouton-rouge {
    border-color: var(--rouge);
}

.bouton-rouge:hover {
    background-color: var(--rouge);
}

.bouton-vert {
    border-color: var(--vert);
}

.bouton-vert:hover {
    background-color: var(--vert);
}

.bouton-jaune {
    border-color: var(--jaune);
}

.bouton-jaune:hover {
    background-color: var(--jaune);
}

.bouton-full {
    width: 100%;
    max-width: calc(100% - 1rem);
    margin: 0.5rem;
}

input[type="text"],
input[type="password"],
input[type="date"],
textarea {
    border-radius: 0;
    border: 2px solid var(--gris-clair);
    padding: 0.2em 3em 0.2em 0.5em;
    font-family: "Ubuntu", sans-serif;
    font-size: 1rem;
    box-sizing: border-box;
}

input[type="date"] {
    padding: 0.2em 0.5em;
}

input[type="text"]:hover,
input[type="password"]:hover,
input[type="date"]:hover,
textarea:hover {
    border-color: var(--gris);
}

input[type="text"]:disabled,
input[type="password"]:disabled {
    background-color: var(--gris-clair);
    border-color: var(--gris-clair-fonce);
}

input[type="text"]:hover:disabled,
input[type="password"]:hover:disabled {
    border-color: var(--gris-clair-fonce);
    cursor: not-allowed;
}

input[type="text"]:focus,
input[type="password"]:focus,
input[type="date"]:focus,
textarea:focus {
    outline: 1px solid var(--gris);
}

select {
    background-color: transparent;
    border: 2px solid var(--gris-clair);
    padding: 0.2em 0.5em;
    text-decoration: none;
    color: var(--gris);
    transition: background 300ms, color 300ms;
    text-transform: uppercase;
    font-size: 1rem;
}

select:hover {
    border-color: var(--gris);
    cursor: pointer;
}

select:focus {
    outline: 1px solid var(--gris);
}

select option {
    background-color: var(--gris);
    color: white;
}

select option:not(:checked) {
    background-color: white;
    color: var(--gris);
}

.erreurPage {
    width: 80%;
    max-width: 600px;
    min-height: 200px;
    padding: 2em;
    margin: 4em auto;
    background-color: white;
    box-shadow: 0 0 0.5em rgba(0, 0, 0, 0.3);
    text-align: center;
}

.erreurPage h1 {
    margin: 0 0 2em 0;
}

.loginPage {
    width: 80%;
    max-width: 600px;
    min-height: 200px;
    padding: 2em;
    margin: 4em auto;
    background-color: white;
    box-shadow: 0 0 0.5em rgba(0, 0, 0, 0.3);
}

.loginPage h1 {
    margin: 0 0 1em 0;
    text-align: center;
}

.flex-column {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.loginPage input {
    margin-bottom: 1em;
}

.loginPage button {
    margin-top: 1em;
}

.loginPage label {
    margin-bottom: 0.2em;
    font-size: 1.25rem;
}

.form {
    width: 90%;
    max-width: 90%;
    min-height: 200px;
    padding: 2rem;
    margin: 2rem auto;
    background-color: white;
    box-shadow: 0 0 0.5em rgba(0, 0, 0, 0.3);
    display: flex;
    flex-direction: column;
}

.form-ligne {
    width: 100%;
    display: flex;
    margin-bottom: 1rem;
}

.form-col-1 {
    width: 96%;
    margin: 0 1.5%;
}

.form-col-2 {
    width: 48%;
    margin: 0 1%;
}

.form-col-3 {
    width: 30%;
    margin: 0 1.5%;
}

.form-col-4 {
    width: 22%;
    margin: 0 1.5%;
}

.form-title {
    margin-top: 0;
    margin-bottom: 1.5em;
    text-align: center;
    text-transform: uppercase;
    font-weight: 700;
}

.form-label {
    text-align: left;
}

.form-input {
    max-width: 100%;
    width: 100%;
}

.form-input-select {
    max-width: 100%;
    width: 100%;
}

.form-bouton-left,
.form-bouton-right {
    max-width: 6rem;
    margin-top: 2em;
    margin-bottom: 0;
}

.form-bouton-left {
    margin-left: auto;
    margin-right: 0.5em;
}

.form-bouton-right {
    margin-right: auto;
    margin-left: 0.5em;
}

.bouton {
    text-align: center;
}

.th-title,
.th-right {
    display: inline-block;
}

.th-right {
    float: right;
}

.boutons {
    display: flex;
    justify-content: space-between;
}

.erreurs p {
    text-align: center;
}

/* MODAL BOX */
.modal {
    position: fixed;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    background-color: rgba(0, 0, 0, 0.4);
    z-index: 1;
    overflow: auto;
    padding-top: 2rem;
    display: block;
}

.modal-content {
    display: flex;
    flex-direction: column;
    width: 95%;
    background-color: #fefefe;
    margin: auto;
    padding: 0 1rem 1rem 1rem;
    border: 1px solid #888;
}

.modal-row {
    width: 100%;
    display: flex;
    justify-content: space-between;
}

.modal-row h1 {
    margin: 0;
    text-align: center;
    padding-top: 1rem;
    width: 100%;
}

.close {
    color: var(--gris);
    font-size: 3rem;
    font-weight: 700;
    padding-right: 1rem;
}

.close:hover,
.close:focus {
    color: var(--gris-sombre);
    text-decoration: none;
    cursor: pointer;
}

.modal-contents {
    width: 100%;
    display: flex;
    justify-content: space-between;
}

.modal-columns {
    margin-top: 1rem;
    width: 49%;
}

.modal-label {
    width: 100%;
    padding-left: 0.2em;
}

.modal-input {
    width: 100%;
    background-color: white !important;
    border-color: var(--gris-clair) !important;
    cursor: text !important;
    padding: 0.2em 0.2em;
    font-family: "Ubuntu", sans-serif;
    font-size: 1rem;
    min-height: 1rem;
    box-sizing: border-box;
    margin-bottom: 1rem;
}

.modal-columns textarea {
    height: 3rem;
    border: 2px solid var(--gris-clair);
}

.modal-input-link {
    display: block;
    text-decoration: none;
    color: var(--bleu);
    transition: 300ms;
}

.modal-input-link:hover {
    color: var(--bleu-fonce);
    text-decoration: underline;
}

.editeur {
    height: 20rem;
    margin-bottom: 4rem;
}

.form-table-head {
    display: inline-block;
}

.obligatoire {
    color: var(--rouge-fonce);
    position: absolute;
    font-size: 2rem;
    height: 1rem;
    font-size: 700;
    transform: translate(0.25rem, -0.25rem);
}

.selection {
    background-color: var(--jaune);
}

.relative {
    position: relative;
}

.compteur {
    position: absolute;
    right: 3%;
    top: 1.45rem;
    color: var(--gris-clair-fonce);
    border-left: 1px solid var(--gris-clair);
    padding-left: 0.25rem;
    text-align: center;
    pointer-events: none;
}

.compteur-rouge {
    color: var(--rouge);
}

.compteur-max {
    font-weight: 600;
    animation: 500ms ease-in-out infinite alternate compteur;
}

@keyframes compteur {
    from {
        color: var(--rouge);
    }
    to {
        color: var(--rouge-fonce);
    }
}

.auto-expand {
    box-sizing: padding-box;
    overflow: hidden;
    display: block;
    margin-bottom: 0rem;
}

.statistique {
    display: flex;
    margin: 2rem;
    flex-direction: column;
    background-color: white;
    box-shadow: 0 0 0.5em rgba(0, 0, 0, 0.3);
}

.statistique-titre {
    font-weight: 300;
    text-transform: uppercase;
    text-align: center;
    margin-bottom: 0;
}

.statistique-sous-titre {
    font-weight: 400;
    text-transform: uppercase;
    text-align: center;
    margin-top: 0;
}

.statistique-ligne {
    width: 100%;
    display: flex;
    justify-content: space-evenly;
    margin: 2rem 0 4rem 0;
}

.statistique-colonne {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    max-height: 24rem;
    position: relative;
}

.statistique-container {
    height: 20rem;
    box-sizing: border-box;
    padding: 0 1rem;
}

.overflow {
    overflow-y: auto;
}

.chartjs {
    margin-bottom: 2rem;
}

.tableau-statistique {
    height: 20rem !important;
    max-height: 20rem !important;
    box-shadow: none;
    box-sizing: border-box;
    overflow-y: scroll;
}

.tableau-statistique tbody {
    max-height: 100%;
    box-sizing: border-box;
    overflow-y: scroll;
}

.tableau-statistique td {
    padding: 0.25em 0.5em;
}

.tableau-statistique p {
    margin: 0;
}

.annee {
    display: inline-block;
}

.bouton-icon {
    box-sizing: border-box;
    background-color: transparent;
    padding: 0;
    text-decoration: none;
    text-transform: uppercase;
    width: fit-content;
    text-align: center;
    position: relative;
}

.icon {
    box-sizing: border-box;
    display: inline-block;
    -webkit-mask-size: 24px;
    -ms-mask-size: 24px;
    -o-mask-size: 24px;
    mask-size: 24px;
    width: 24px;
    height: 24px;
    background: center no-repeat;
    transition: background 300ms;
}

.icon:hover {
    cursor: pointer;
}

.icon-edit {
    background-color: black;
    -webkit-mask: url("../images/edit.svg");
    -moz-mask: url("../images/edit.svg");
    -ms-mask: url("../images/edit.svg");
    -o-mask: url("../images/edit.svg");
    mask: url("../images/edit.svg");
}

.icon-edit:hover {
    background-color: var(--bleu);
}

.icon-duplicate {
    background-color: black;
    -webkit-mask: url("../images/copy.svg");
    -moz-mask: url("../images/copy.svg");
    -ms-mask: url("../images/copy.svg");
    -o-mask: url("../images/copy.svg");
    mask: url("../images/copy.svg");
}

.icon-duplicate:hover {
    background-color: var(--jaune);
}

.icon-password {
    background-color: black;
    -webkit-mask: url("../images/lock.svg");
    -moz-mask: url("../images/lock.svg");
    -ms-mask: url("../images/lock.svg");
    -o-mask: url("../images/lock.svg");
    mask: url("../images/lock.svg");
}

.icon-password:hover {
    background-color: var(--jaune);
}

.icon-more {
    background-color: black;
    -webkit-mask: url("../images/eye.svg");
    -moz-mask: url("../images/eye.svg");
    -ms-mask: url("../images/eye.svg");
    -o-mask: url("../images/eye.svg");
    mask: url("../images/eye.svg");
}

.icon-more:hover {
    background-color: var(--vert);
}

.icon-delete {
    background-color: black;
    -webkit-mask: url("../images/trash.svg");
    -moz-mask: url("../images/trash.svg");
    -ms-mask: url("../images/trash.svg");
    -o-mask: url("../images/trash.svg");
    mask: url("../images/trash.svg");
}

.icon-delete:hover {
    background-color: var(--rouge);
}

.boutons-modif {
    width: fit-content;
    display: flex;
    justify-content: space-between;
    margin: 0 auto;
}

.bouton-modif {
    margin: 0 0.5rem;
}

.th-edit {
    text-align: center;
}

.tooltiptext {
    width: fit-content;
    background-color: black;
    color: white;
    text-align: center;
    border-radius: 0.25rem;
    padding: 0.25rem 0.5rem;

    position: absolute;
    display: block;
    box-sizing: border-box;
    z-index: 10;
    bottom: 100%;
    left: 50%;
    transform: translate(-50%, -1rem);
    transition: opacity 300ms;
    visibility: hidden;
    white-space: nowrap;
}

.tooltiptext {
    opacity: 0;
}

.bouton-icon .tooltiptext::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: black transparent transparent transparent;
}

.icon:hover ~ .tooltiptext {
    visibility: visible;
    opacity: 1;
}

textarea {
    resize: vertical;
}
